<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:shimmer="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/White"
    android:orientation="vertical"
    tools:context=".monitoring.ListData">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:backgroundTint="@color/Dark"
        android:background="@drawable/top_popup_sheet"
        android:orientation="horizontal"
        android:elevation="10dp">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="20dp"
            android:textSize="16sp"
            android:textColor="@color/White"
            android:fontFamily="@font/futura_std_heavy"
            android:text="Monitoring Kebun"/>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:gravity="end">

            <ImageView
                android:id="@+id/filterBtn"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_marginEnd="15dp"
                android:src="@drawable/ic_baseline_filter_alt_24"
                app:tint="@color/White" />
        </RelativeLayout>
    </LinearLayout>

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="end"
        android:fontFamily="sans-serif-light"
        android:textSize="12sp"
        android:layout_marginTop="3dp"
        android:layout_marginEnd="8dp"
        android:text="Quick Filter" />

    <HorizontalScrollView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">
        <RadioGroup
            android:id="@+id/listFilterGroup"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginLeft="8dp"
            android:layout_marginTop="5dp"
            android:layout_marginEnd="8dp"
            android:layout_marginRight="8dp"
            android:layout_marginBottom="8dp"
            android:gravity="center_horizontal"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <RadioButton
                android:id="@+id/radio0"
                android:layout_width="wrap_content"
                android:gravity="center"
                android:layout_height="30dp"
                android:paddingLeft="16dp"
                android:paddingTop="3dp"
                android:paddingRight="16dp"
                android:paddingBottom="3dp"
                android:background="@drawable/radio_flat_selector"
                android:button="@android:color/transparent"
                android:checked="true"
                android:layout_marginEnd="8dp"
                android:textColor="@drawable/radio_flat_text_selector"
                android:fontFamily="sans-serif-light"
                android:text="Semua" />

            <RadioButton
                android:id="@+id/radio1"
                android:gravity="center"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:layout_marginEnd="8dp"
                android:paddingLeft="16dp"
                android:paddingTop="3dp"
                android:paddingRight="16dp"
                android:paddingBottom="3dp"
                android:textColor="@drawable/radio_flat_text_selector"
                android:background="@drawable/radio_flat_selector"
                android:button="@android:color/transparent"
                android:fontFamily="sans-serif-light"
                android:text="Pemeliharaan TM" />

            <RadioButton
                android:id="@+id/radio2"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:layout_marginEnd="8dp"
                android:background="@drawable/radio_flat_selector"
                android:button="@android:color/transparent"
                android:fontFamily="sans-serif-light"
                android:gravity="center"
                android:paddingLeft="16dp"
                android:paddingTop="3dp"
                android:paddingRight="16dp"
                android:paddingBottom="3dp"
                android:text="Pemeliharaan TBM"
                android:textColor="@drawable/radio_flat_text_selector" />

            <RadioButton
                android:id="@+id/radio3"
                android:gravity="center"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:paddingLeft="16dp"
                android:paddingTop="3dp"
                android:paddingRight="16dp"
                android:paddingBottom="3dp"
                android:textColor="@drawable/radio_flat_text_selector"
                android:background="@drawable/radio_flat_selector"
                android:button="@android:color/transparent"
                android:fontFamily="sans-serif-light"
                android:layout_marginEnd="8dp"
                android:text="Keadaan Jalan" />

            <RadioButton
                android:id="@+id/radio4"
                android:gravity="center"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:paddingLeft="16dp"
                android:paddingTop="3dp"
                android:paddingRight="16dp"
                android:paddingBottom="3dp"
                android:textColor="@drawable/radio_flat_text_selector"
                android:background="@drawable/radio_flat_selector"
                android:button="@android:color/transparent"
                android:fontFamily="sans-serif-light"
                android:layout_marginEnd="8dp"
                android:text="Hama" />

            <RadioButton
                android:id="@+id/radio5"
                android:gravity="center"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:paddingLeft="16dp"
                android:paddingTop="3dp"
                android:paddingRight="16dp"
                android:paddingBottom="3dp"
                android:textColor="@drawable/radio_flat_text_selector"
                android:background="@drawable/radio_flat_selector"
                android:button="@android:color/transparent"
                android:fontFamily="sans-serif-light"
                android:layout_marginEnd="8dp"
                android:text="Penyakit" />

            <RadioButton
                android:id="@+id/radio6"
                android:gravity="center"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:paddingLeft="16dp"
                android:paddingTop="3dp"
                android:paddingRight="16dp"
                android:paddingBottom="3dp"
                android:textColor="@drawable/radio_flat_text_selector"
                android:background="@drawable/radio_flat_selector"
                android:button="@android:color/transparent"
                android:fontFamily="sans-serif-light"
                android:layout_marginEnd="8dp"
                android:text="Pencurian" />

        </RadioGroup>
    </HorizontalScrollView>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/Gray1"/>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="visible"
        android:id="@+id/layPlaceholder"
        android:orientation="vertical">
        <include layout="@layout/monitoring_placeholder_layout" />
    </LinearLayout>

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scrollbarStyle="insideOverlay"
        shimmer:duration="100"
        android:id="@+id/swipeRefresh1">
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/listViewMonit"
            android:layout_width="match_parent"
            android:divider="@null"
            android:layout_height="match_parent" />

        <ProgressBar
            android:id="@+id/progressBar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="gone"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true" />
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

</LinearLayout>